Bug 1285664 - [ALL LANG] Unlocalized string 'Process Model' and tooltips 'Paint' in Process Model dialog.
[ALL LANG] Unlocalized string 'Process Model' and tooltips 'Paint' in Process...
Status: MODIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: CR2
: 6.3.0
Assigned To: Cristiano Nicolai
jsoltes
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 03:23 EST by Lijun Li
Modified: 2016-05-11 10:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized string 'Process Model' and tooltips 'Paint' in Process Model dialog (26.47 KB, image/png)
2015-11-26 03:25 EST, Lijun Li
no flags Details
pt_br (37.32 KB, image/png)
2016-02-10 23:38 EST, Cristiano Nicolai
no flags Details
Unlocalized tooltip in BPMS 6.3.0.ER2 (70.74 KB, image/png)
2016-03-31 07:34 EDT, jsoltes
no flags Details

  None (edit)
Description Lijun Li 2015-11-26 03:23:45 EST
Description of problem:
Unlocalized string 'Process Model' and tooltips 'Paint' in Process Model dialog.

Version-Release number of selected component (if applicable):
6.2.0.ER5

How reproducible:
100%

Steps to Reproduce:
1. Login BPMS with admin user in no en_US locale.
2. Create org/repo/project/business process.
3. Build & Deploy.
4. Click Process Management -> Process Definitions.
5. Select any process from list and click Start or click New Instance button from the top right Details pane.
6. Click Submit.
7. Click Options -> Process Model.

Actual results:
Unlocalized string 'Process Model' and tooltips 'Paint' in Process Model dialog.

Expected results:
They should be localized.

Additional info:
Please also see the attached screen-shot.
Comment 1 Lijun Li 2015-11-26 03:25 EST
Created attachment 1099165 [details]
Unlocalized string 'Process Model' and tooltips 'Paint' in Process Model dialog
Comment 3 Cristiano Nicolai 2016-02-10 23:37:26 EST
Awaiting PRs to get merged:

https://github.com/droolsjbpm/jbpm-designer/pull/147
https://github.com/droolsjbpm/jbpm-designer/pull/146

Verified using pt_br.
Comment 4 Cristiano Nicolai 2016-02-10 23:38 EST
Created attachment 1123083 [details]
pt_br
Comment 5 Cristiano Nicolai 2016-02-12 00:08:48 EST
source code changes made and source documents pushed to Zanata.
Comment 6 jsoltes 2016-03-02 09:50:19 EST
Issue is still present in bpm-suite 6.3.0.DR2.
Comment 7 Cristiano Nicolai 2016-03-22 01:52:40 EDT
Please verify again on bpm-suite 6.3.0.ER1 as new translations have been updated from Zanata.
Comment 8 jsoltes 2016-03-31 07:34 EDT
Created attachment 1142166 [details]
Unlocalized tooltip in BPMS 6.3.0.ER2
Comment 9 jsoltes 2016-03-31 07:36:39 EDT
Tested on BPMS 6.3.0.ER2. There is still unlocalized tooltip "Paint" present in the process diagram (see the attachment).
Comment 10 Cristiano Nicolai 2016-05-09 20:58:29 EDT
Please verify once again on CR2 build as update translation files have been pulled from Zanata.
Comment 11 jsoltes 2016-05-11 10:27:09 EDT
Tested on BPMS 6.3.0.CR2 with Chinese (Simplified). The Paint tooltip is still not localized.

Note You need to log in before you can comment on or make changes to this bug.